// TKW_MessageWindow_Change

/*:
 *@plugindesc メッセージウィンドウの表示を変更するプラグイン
 *@author tokiwa
 *@help このプラグインには、プラグインコマンドはありません。
*/

(function() {

 Window_Message.prototype.numVisibleRows = function() {
  return 3;
 };

 Window_Message.prototype.updatePlacement = function() {
  this._positionType = $gameMessage.positionType();
  this.y = this._positionType * (Graphics.boxHeight - this.height) / 2;
  this._goldWindow.y = this.y > 0 ? 0 : Graphics.boxHeight - this._goldWindow.height;

  if(this._positionType === 2) this.y -= 10;
 };

 Window_Message.prototype.windowWidth = function() {
  return Graphics.boxWidth - 144;
 };

})();
